Bug 106435 - TODO: Clean up the huge plethora of MIN() macro definitions in XFree86 server.
TODO: Clean up the huge plethora of MIN() macro definitions in XFree86 server.
Status: CLOSED UPSTREAM
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-06 22:36 EDT by Mike A. Harris
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 08:01:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2003-10-06 22:36:31 EDT
[mharris@devel Xserver]$ grep -ri 'define\WMIN(' *
Xprint/pcl/Pcl.h:#define MIN(a,b) (((a)<(b))?(a):(b))
Xprint/ps/Ps.h:#define MIN(a,b) (((a)<(b))?(a):(b))
dix/main.c:#define MIN(a,b) (((a) < (b)) ? (a) : (b))
fb/fbtrap.c:#define MIN(a, b) ((a) < (b) ? (a) : (b))
hw/xfree86/drivers/apm/apm_regs.h:#define MIN(a,b)      ((a) < (b) ? (a) : (b))
hw/xfree86/drivers/glide/glide_driver.c:#define MIN(a,b) ((a) < (b) ? (a) : (b))
hw/xfree86/drivers/glint/pm2_video.c:#define MIN(a, b) (((a) < (b)) ? (a) : (b))
hw/xfree86/drivers/siliconmotion/smi_video.c:#define MIN(a, b) (((a) < (b)) ?
(a) : (b))
hw/xfree86/drivers/vmware/vmware.h:#define MIN(a,b) ((a)<(b)?(a):(b))
hw/xfree86/common/xf86Bus.c:#define MIN(x,y) ((x<y)?x:y)
hw/xfree86/common/xf86pciBus.c:#define MIN(x,y) (((x)<(y))?(x):(y))
hw/xfree86/common/xf86pciBus.c.Xserver-common-fix-broken-MIN-macro-definition:#define
MIN(x,y) ((x<y)?x:y)
hw/xfree86/etc/MTRR-Lynx.shar:X#define min(a,b) MIN(a,b)
hw/xfree86/loader/aoutloader.c:#define MIN(a,b) ((a)<(b)?(a):(b))
hw/xfree86/shadowfb/shadow.c:#define MIN(a,b) (((a)<(b))?(a):(b))
hw/xfree86/xf4bpp/OScompiler.h:#define MIN(a,b) (((a)<(b))?(a):(b))
hw/xfree86/xf86cfg/text-mode.c:#define  MIN(a, b)       ((a) < (b) ? (a) : (b))
include/misc.h:#define min(a, b) (((a) < (b)) ? (a) : (b))
miext/rootless/rootlessCommon.h:#define MIN(x,y) ((x) < (y) ? (x) : (y))
Comment 2 Mike A. Harris 2004-10-12 13:09:32 EDT
I guess we should file this low priority issue upstream, as it
might be more likely to get investigated by someone in the
community, and doesn't require any great skill.

I like the idea of using the kernel style 3 arg min/max macros,
but I imagine there might be some opposition to doing so due
to historical usage of 2 arg min/max in C code.
Comment 3 Mike A. Harris 2004-12-03 17:09:05 EST
Reassigning to self.

This should be filed upstream, and tracked there.  I still believe the
best approach is that of the kernel, but upstream might possibly need
some convincing.  We'll see.

Low priority in any case.
Comment 4 Mike A. Harris 2005-04-11 08:01:12 EDT
Filed upstream as:

https://bugs.freedesktop.org/show_bug.cgi?id=2968

Setting status to "UPSTREAM"

Note You need to log in before you can comment on or make changes to this bug.